XSHOWTRACE(1)

NAME
xshowtrace - interactively show rays traced on RADIANCE image under X11

SYNOPSIS
xshowtrace [ -s ][ -T ][ rtrace options ] octree picture

DESCRIPTION
Xshowtrace takes a RADIANCE octree and a picture file and displays it on an X11 window server using ximage(1). The picture should have been created from a previous rpict(1) or rvu(1) calculation using the given octree. Once the image is displayed, the user can use the 't' command of ximage to select points on the image to display the ray tree. Rtrace then produces a ray tree, which xshowtrace will display (in red on a color screen). The -s option slows the display of each ray traced to make it easier to follow the process. The -T option traces rays to light sources, which are normally hidden.

AUTHOR
Greg Ward

BUGS
If the pointer is moved between the time 't' is pressed and xshowtrace starts drawing rays, the rays will be displaced.

SEE ALSO
oconv(1), rpict(1), rtrace(1), rvu(1), ximage(1)